import java.util.Scanner;

public class task2 {
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int goal = input.nextInt();
        int mutied = 1;
        for (int i = 1; i <= goal; i++) {
            mutied *= i;
        }
        System.out.println(mutied);
    }
}
